#if !defined(AFX_MANUAL_TEST_H__CF14CCD1_9584_4AF4_A237_08BEB98C7877__INCLUDED_)
#define AFX_MANUAL_TEST_H__CF14CCD1_9584_4AF4_A237_08BEB98C7877__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Manual_Test.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Manual_Test dialog

class Manual_Test : public CDialog
{
// Construction
public:
	Manual_Test(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(Manual_Test)
	enum { IDD = IDD_Manual_Test };
	CComboBox	m_CB_RA;
	CComboBox	m_CB_SA;
	CStatic	m_SXSLMT_P;
	CStatic	m_SXDRV;
	CStatic	m_SYSLMT_P;
	CStatic	m_SYSLMT_M;
	CStatic	m_SYREADY;
	CStatic	m_SYNHome;
	CStatic	m_SYIN3;
	CStatic	m_SYHome;
	CStatic	m_SYHLMT_P;
	CStatic	m_SYHLMT_M;
	CStatic	m_SYDRV;
	CStatic	m_SYALARM;
	CStatic	m_SXIN3;
	CStatic	m_SXEMG;
	CStatic	m_SXSLMT_M;
	CStatic	m_SXREADY;
	CStatic	m_SXNHome;
	CStatic	m_SXHome;
	CStatic	m_SXHLMT_M;
	CStatic	m_SXALARM;
	CStatic	m_ON;
	CStatic	m_OFF;
	CStatic	m_SXHLMT_P;
	CButton	m_SXLMT_M;
	CButton	m_SXNome;
	CButton	m_AXALARM;
	CButton	m_CAuto;
	long	m_XAcc;
	long	m_XE;
	long	m_XP;
	long	m_XSpeed;
	long	m_YAcc;
	long	m_YE;
	long	m_YP;
	long	m_YSpeed;
	long	m_RA;
	long	m_SA;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Manual_Test)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(Manual_Test)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAuto();
	afx_msg void OnManualGet();
	afx_msg void OnXJog();
	afx_msg void OnYJog();
	afx_msg void OnXJogStop();
	afx_msg void OnYJogStop();
	afx_msg void OnServoOnAll();
	afx_msg void OnServoOffAll();
	virtual BOOL OnInitDialog();
	afx_msg void OnWriteSA();
	afx_msg void OnReadRA();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANUAL_TEST_H__CF14CCD1_9584_4AF4_A237_08BEB98C7877__INCLUDED_)
